<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/29/2005 *
 * ================                             Last change: 04/29/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-cache_stats.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Stats for the caching extension                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Statistiken fuer die Cache-Erweiterung           *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!is_admin()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Prepare data for the template
define('__DB_HITS'   , $CONFIG['db_hits']);
$HITS = str_repeat("&nbsp;", abs(strlen($CONFIG['db_hits']) - strlen($CONFIG['cache_hits']))).$CONFIG['cache_hits'];
define('__CACHE_HITS', $HITS);
define('__TOTAL_HITS', ($CONFIG['db_hits'] + $CONFIG['cache_hits']));
define('__CACHE_PERC', TRANSLATE_COMMA(($CONFIG['cache_hits'] / __TOTAL_HITS  * 100)));

// Load template
LOAD_TEMPLATE("admin_cache_stats");

//
?>
