<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/12/2004 *
 * ================                             Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_birthday.php                         *
 * -------------------------------------------------------------------- *
 * Short description : Configure birthday mails                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Geburtstagsgruesse einstellen                    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok']))
{
	// Save configuration
	ADMIN_SAVE_SETTINGS($_POST, "_config", "config='0'");
}
 else
{
	// Prepare data for the template
	define('__POINTS_VALUE', $CONFIG['birthday_points']);
	switch ($CONFIG['birthday_active'])
	{
	case "Y":
		define('__BIRTHDAY_ACTIVE_Y', " checked");
		define('__BIRTHDAY_ACTIVE_N', "");
		break;

	case "N":
		define('__BIRTHDAY_ACTIVE_Y', "");
		define('__BIRTHDAY_ACTIVE_N', " checked");
		break;
	}
	switch ($CONFIG['birthday_mode'])
	{
	case "DIRECT":
		define('__BIRTHDAY_MODE_DIRECT', " checked");
		define('__BIRTHDAY_MODE_REF'   , "");
		break;

	case "REF":
		define('__BIRTHDAY_MODE_DIRECT', "");
		define('__BIRTHDAY_MODE_REF'   , " checked");
		break;
	}

	// Display form
	LOAD_TEMPLATE("admin_config_birthday");
}
//
?>
